%global debug_package %{nil}

Name:           zoxide
Version:        0.9.3
Release:        1%{?dist}
Summary:        Fast cd command that learns your habits

License:        MIT
URL:            https://github.com/ajeetdsouza/zoxide/
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8} || 0%{?el9}
%else
BuildRequires:  cargo >= 1.65
BuildRequires:  rust >= 1.65
%endif
BuildRequires:  gcc

%description
zoxide is a blazing fast alternative to cd, inspired by z and z.lua. It keeps
track of the directories you use most frequently, and uses a ranking algorithm
to navigate to the best match.


%prep
%autosetup
%if 0%{?el8} || 0%{?el9}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
%if 0%{?el8} || 0%{?el9}
$HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --root=%{buildroot}%{_prefix} --path=.
%endif
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*

# Install manpages
mkdir -p %{buildroot}%{_mandir}/man1/
install -Dpm 0644 man/man1/%{name}*.1 -t %{buildroot}%{_mandir}/man1/
# Install shell completions
install -Dpm 0644 contrib/completions/_%{name} -t %{buildroot}%{_datadir}/zsh/site-functions/
install -Dpm 0644 contrib/completions/%{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dpm 0644 contrib/completions/%{name}.fish -t %{buildroot}/%{_datadir}/fish/vendor_completions.d/


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_mandir}/man1/*.1*
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions


%changelog
* Tue Feb 13 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.3-1
- chore: Update to latest release

* Sun May 07 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.1-1
- chore: Update to 0.9.1

* Sun Jan 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- chore: Update to 0.9.0

* Fri Sep 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.3-1
- chore(update): 0.8.3

* Sun Jun 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.2-1
- chore(update): 0.8.2

* Sat Apr 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.1-1
- chore(update): 0.8.1

* Tue Nov 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.9-1
- chore(update): 0.7.9

* Thu Oct 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.8-1
- chore(update): 0.7.8

* Fri Oct 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.7-1
- chore(update): 0.7.7

* Wed Oct 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.6-1
- chore(update): 0.7.6

* Thu Jun 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.2-1
- build(update): 0.7.2

* Sun May 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- build(update): 0.7.0

* Sat Jul 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.3-1
- Update to 0.4.3

* Mon May 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Sun May 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Fri Apr 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.1-1
- Update to 0.3.1

* Mon Mar 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Initial package
